HaruDoc::loadRaw
HaruDoc::loadTTF
HaruDoc
PHP Manual

# HaruDoc::loadTTC

(PECL haru >= 0.0.1)

HaruDoc::loadTTC — Load the font with the specified index from TTC file

### Description

string HaruDoc::loadTTC ( string `$fontfile` , int `$index` [, bool `$embed` = false ] )

Loads the TrueType font with the specified index from a TrueType collection file.

### Parameters

`fontfile`

  The TrueType collection file.

`index`

  The index of the font in the collection file.

`embed`

  When set to `TRUE`, the glyph data of the font is embedded into the PDF file, otherwise only the matrix data is included.

### Return Values

Returns the name of the loaded font on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruDoc::loadTTF - Load TTF font file
- HaruDoc::loadType1 - Load Type1 font

HaruDoc::loadRaw
HaruDoc::loadTTF
HaruDoc
PHP Manual